[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.Dispatch

Dispatch an integer message

## Declaration

Source position: objpash.inc line 225

`public procedure TObject.Dispatch(`
`var message`
`); virtual;`

## Description

Dispatch looks in the message handler table for a handler that handles message. The message is identified by the first dword (cardinal) in the message structure.

If no matching message handler is found, the message is passed to the DefaultHandler method, which can be overridden by descendent classes to add custom handling of messages.

## See also

DispatchStr |  | Dispatch a string message.
DefaultHandler |  | Default handler for integer message handlers.

Documentation generated on: Feb 26 2014